%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"
%define mname pygpgme

Name:           python-gpgme
Version:        0.1
Release:        %mkrel 5
Summary:        Python module for working with OpenPGP messages
License:        LGPLv2+
Group:          Development/Python
URL:            http://cheeseshop.python.org/pypi/pygpgme/0.1
Source0:        http://cheeseshop.python.org/packages/source/p/%{mname}/%{mname}-%{version}.tar.gz
# upstream patch to fix gpgme intialization
# https://bugs.launchpad.net/pygpgme/+bug/452194
Patch0:         python-gpgme-0.1-fix-gpgme-initialization.patch
BuildRequires:  python-devel
BuildRequires:  gpgme-devel

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%prep
%setup -q -n %{mname}-%{version}
%patch0 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %buildroot

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# No need to ship the tests
rm -rf %buildroot/%{python_sitearch}/gpgme/tests/

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%doc README PKG-INFO
%{python_sitearch}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.1-5.mga3
+ Revision: 378954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 ahmad <ahmad> 0.1-4.mga1
+ Revision: 93847
- bump the rel to smoothen upgrades from mdv 2010.1

* Tue Mar 29 2011 kharec <kharec> 0.1-1.mga1
+ Revision: 78870
- imported package python-gpgme

